Subject: Subject: 23.1; text-scale-mode minor mode

From: Kevin Fowler <[email-masked]>
Date: Tue, 11 Aug 2009 04:35:43 -0700

I tried to evaluate:
   (text-scale-increase 1.1)
got this error:
    face-remap-order wrong type listp

fixed in face-remap.el/text-scale-mode line 227:
      (face-remap-add-relative (list 'default
 :height
 (expt text-scale-mode-step
text-scale-mode-amount)))))
  (force-window-update (current-buffer)))

===========
102a103
>   (print entry)
214,217c215,218
< The `text-scale-increase', `text-scale-decrease', and
< `text-scale-set' functions may be used to interactively modify
< the variable `text-scale-mode-amount' (they also enable or
< disable `text-scale-mode' as necessary)."
---
> The `text-scale-increase' and `text-scale-decrease' functions may
> be used to interactively modify the variable
> `text-scale-mode-amount' (they also enable or disable
> `text-scale-mode' as necessary)."
226c227
< 	     (face-remap-add-relative 'default
---
> 	     (face-remap-add-relative (list 'default
229c230
< 						text-scale-mode-amount))))
---
> 						text-scale-mode-amount)))))
233,245d233
< (defun text-scale-set (level)
<   "Set the scale factor of the default face in the current buffer to LEVEL.
< If LEVEL is non-zero, `text-scale-mode' is enabled, otherwise it is disabled.
<
< LEVEL is a number of steps, with 0 representing the default size.
< Each step scales the height of the default face by the variable
< `text-scale-mode-step' (a negative number decreases the height by
< the same amount)."
<   (interactive "p")
<   (setq text-scale-mode-amount level)
<   (text-scale-mode (if (zerop text-scale-mode-amount) -1 1)))
<
< ;;;###autoload

===========

In GNU Emacs 23.1.1 (i386-apple-darwin9.7.0, NS apple-appkit-949.46)
 of 2009-08-06 on braeburn.aquamacs.org - Aquamacs Distribution 2.0preview2
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns' '--without-x' 'CFLAGS=-arch
i386 -arch ppc' 'LDFLAGS=-arch i386 -arch ppc''
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t
Major mode: Emacs-Lisp
Minor modes in effect:
  global-hl-line-mode: t
  display-time-mode: t
  minibuffer-depth-indicate-mode: t
  icicle-mode: t
  shell-dirtrack-mode: t
  yas/minor-mode: t
  diff-auto-refine-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  pc-selection-mode: t
  savehist-mode: t
  cua-mode: t
  smart-frame-positioning-mode: t
  aquamacs-autoface-mode: t
  recentf-mode: t
  osx-key-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
Recent input:
L <return> P W D <return> <ns-application-activated>
⌥X R E P O R T <tab> E M <tab> <return> ^G <menu-bar>
<file> <Open Recent> <customizations.el> ^X K <return>
C D SPC ~ / . E M C <backspace> A S C <backspace> <backspace>
C S <return> L S <return> C D SPC ~ / . E M A C S .
D <return> L S <return> C D SPC ⇧A Q <tab> ⇧P R E F
<tab> <M-backspace> <M-backspace> <return> L S <return>
C P SPC C U ^A ^K L S SPC - L SPC C U S * <return>
C P SPC C U S <tab> O T W <tab> C U <tab> E <tab> <return>
⌥X L O A D <tab> C <backspace> F I L <tab> <return>
C U S <tab> T <backspace> E <tab> <return> <help-echo>
^X B <tab> Q ^G C D SPC / ⇧A P <tab> ⇧A Q U A <tab>
<return> L S <return> C D SPC ⇧S <backspace> ⇧C O N
T <tab> L I S <tab> P <return> ⌥P <M-backspace> ⇧R
E S <tab> L I <tab> <return> L S SPC - L T R A <return>
C P SPC F A C <tab> - R E <tab> SPC ~ / ⇧D O W N <tab>
<return> ^X ^F ^A ^K ^D C D <return> C D SPC ⇧D O <backspace>
<backspace> ~ / ⇧D O W N <tab> <return> ^X ^F F A C
<tab> <return> ^N ^V ^N ^V ^N ^N ^S ( L I S T ^S ^S
^N <down-mouse-1> <mouse-movement> <mouse-movement>
<drag-mouse-1> ⌘C <down-mouse-1> <mouse-1> ⌥X E M A
C S - R E <tab> P O <tab> <M-backspace> B U <tab> G
<tab> <M-backspace> <M-backspace> R E P O R T - E <tab>
<tab> <return>
Recent messages:
/Applications/Aquamacs.app/Contents/Resources/lisp
Partially completed [2 times]
Completed
if: End of buffer
~
Completed
~/Downloads
Computing completion candidates...
Mark saved where search started
Computing completion candidates... [5 times]